function handles = format_data(handles)
%constructs time vector based on timestamp


fullTime = datevec(handles.serialtime);%constructing our time vector
%we want to construct starting at the second offset
handles.t = fullTime(6):1/handles.sampleRate:(max(size(handles.data)-1)/handles.sampleRate+fullTime(6));
handles.VDC = mean(handles.data,2);
handles.Vpp = max(handles.data,2)-min(handles.data,2);

%Format output strings in right panel
%More in the future
set(handles.text9, 'String', handles.VDC(1));
set(handles.text11, 'String', handles.Vpp(1));
if (handles.numChannels == 2)
    set(handles.text19, 'String', handles.VDC(2));
    set(handles.text21, 'String', handles.Vpp(2));
end