function  handles = save_data(handles)
%SAVE_DATA
%    all fields used are inside handles
%   You can edit to just overwrite... just change 'a' to 'w'
%   handles.filename the filename we are saving to
fid = fopen(handles.filename,'a');
fwrite(fid,handles.serialtime,'float64');%saving the serial time
fwrite(fid,handles.numChannels,'uint8');%1 or 2...depicts our number of channels...
fwrite(fid,max(size(handles.data)),'int32');%the size of our data...

%writing our data
if (handles.numChannels == 1)
    out = fwrite(fid,handles.data,'float32');
elseif(handles.numChannels == 2)
    out1 = fwrite(fid,handles.data(1,:),'float32');
    out2 = fwrite(fid,handles.data(2,:),'float32');
end
fclose(fid);